### Enumeration

# Soup HTTPVersion

#### Declaration

    enum Soup.HTTPVersion

#### Description [src]

Indicates the HTTP protocol version being used.

#### Members

`SOUP_HTTP_1_0`

  HTTP 1.0 (RFC 1945).

  - Value: `0`
  - Available since: 3.0
`SOUP_HTTP_1_1`

  HTTP 1.1 (RFC 2616).

  - Value: `1`
  - Available since: 3.0
`SOUP_HTTP_2_0`

  HTTP 2.0 (RFC 7540).

  - Value: `2`
  - Available since: 3.0